#ifndef _GRAVITY_H
#define _GRAVITY_H

/*
 * s = ut + 1/2 * g * t^2
 *
 * For free fall from rest (disk going down), u = 0, therefore
 * for every 1 unit of distance, time taken is of the form
 *
 *              ________________       ____________
 *     dt   = \/2 * g * h(i + 1)  -  \/2 * g * h(i)
 *
 *     h(i) = i * HAMPLITUDE
 *
 */

/* At most EMPEG_YMAX times needed ever. */

#define MAXDELAYS EMPEG_YMAX

int
ffdelays[] = {
    1400, /* rest */
    580, 
    445, 
    375, 
    330, 
    298, 
    274, 
    255, 
    240, 
    227, 
    216, 
    206, 
    198, 
    190, 
    183, 
    177, 
    172, 
    167, 
    162, 
    158, 
    154, 
    151, 
    147, 
    144, 
    141, 
    138, 
    136, 
    133, 
    131, 
    128, 
    126, 
    124, 
    122, 
    121, 
    119, 
    117, 
    115, 
    114, 
    112, 
    111, 
    110, 
    108, 
    107, 
    106, 
    104, 
    103, 
    102, 
    101, 
    100, 
    99, 
    98, 
    97, 
    96, 
    95, 
    94, 
    94, 
    93, 
    92, 
    91, 
    90, 
    90, 
    89, 
    88, 
    87, 
    87, 
};

#endif /* _EMPHANOI_H */
